| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- File List
- File Members

# csgfx/lightsvcache.h File Reference

Helper to cache names of shader variables relevant to lighting. More...

`#include "csextern.h"`
`#include "csutil/array.h"`
`#include "csutil/ref.h"`
`#include "iutil/strset.h"`

Go to the source code of this file.

## Classes
class | csLightShaderVarCache
| Helper to cache names of shader variables relevant to lighting. More...

## Detailed Description

Helper to cache names of shader variables relevant to lighting.

Definition in file lightsvcache.h.